Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.campaign
Class AddAdToPlaceholderAction

    java.lang.Object
      |
      +--com.bea.campaign.action.Action
            |
            +--com.bea.campaign.AddAdToPlaceholderAction

public class AddAdToPlaceholderAction
extends Action

Action implementation to add an Ad query to the users placeholder.

This action understands the following action parameters:

- adQuery (required): either the String ad query expression or the `ContentQueryNode`.
- placeholder (required): the array of String placeholder ids.
- adWeight (required): the Integer ad weight/priority
- ttl (optional): time-to-live string in the form of "days:hours:minutes"
- expireDate (optional): TimeInstant or Timestamp of the expiration date.
- clearingPolicy (optional): String of either "campaign" (to clear all ads in the placeholders from the campaign), "all" (to clear all ads in the placeholders), or anything else to not clear the placeholders at all.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `AD_EXPIRATION_DATE` The name of the expiration date parameter.
`static java.lang.String` | `AD_QUERY` The name of adQuery action parameter.
`static java.lang.String` | `AD_TTL` The name of the time-to-live parameter.
`static java.lang.String` | `AD_WEIGHT` The name of the adWeight action parameter.
`static java.lang.String` | `CLEARING_POLICY` The name of the clearing policy paramter.
`static java.lang.String` | `PLACEHOLDER` The name of placeholder action parameter.
`static java.lang.String` | `REMOVE` The name of the remove action parameter.

Constructor Summary
`AddAdToPlaceholderAction()`

Method Summary
`void` | `init(java.util.Map params)` Initialize this action from a set of action parameters.
`void` | `run()` Execute this action.
`java.lang.String` | `toString()` Get string representation of this.

Methods inherited from class com.bea.campaign.action.Action
`getEvent, getRandom, getRequest, getScenario, getScenarioContainer, getScenarioContainerName, getScenarioId, getScenarioName, getServiceLocator, getSession, getTimestamp, getUser, getUserId, locateService, setEvent, setRandom, setRequest, setScenario, setScenarioContainer, setServiceLocator, setSession, setTimestamp, setUser`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### AD_QUERY

    public static final java.lang.String AD_QUERY

  The name of adQuery action parameter.

### PLACEHOLDER

    public static final java.lang.String PLACEHOLDER

  The name of placeholder action parameter.

### AD_WEIGHT

    public static final java.lang.String AD_WEIGHT

  The name of the adWeight action parameter.

### REMOVE

    public static final java.lang.String REMOVE

  The name of the remove action parameter.

### AD_TTL

    public static final java.lang.String AD_TTL

  The name of the time-to-live parameter.

### AD_EXPIRATION_DATE

    public static final java.lang.String AD_EXPIRATION_DATE

  The name of the expiration date parameter.

### CLEARING_POLICY

    public static final java.lang.String CLEARING_POLICY

  The name of the clearing policy paramter.

Constructor Detail

### AddAdToPlaceholderAction

    public AddAdToPlaceholderAction()

Method Detail

### run

    public void run()
             throws ActionException

  Execute this action.

  This will place the adQuery in the user's buckets for the named placeholders with the adWeight.

  Throws:
    ActionException - thrown on an error.
  Overrides:
    run in class Action

### init

    public void init(java.util.Map params)
              throws java.lang.IllegalArgumentException

  Initialize this action from a set of action parameters.

  See the class notes about that action parameters this action understands and requires.

  This method will be invoked by the ActionService.

  Throws:
    java.lang.IllegalArgumentException - thrown on invalid action paramters.
  Overrides:
    init in class Action

### toString

    public java.lang.String toString()

  Get string representation of this.

  Overrides:
    toString in class java.lang.Object

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved